Subject: bug#71569: 30.0.50; Noto Color Emoji does not work in Emacs for Android

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jun 2024 11:46:16 +0300

> Cc: [email-masked]
> Date: Sun, 16 Jun 2024 10:24:04 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Antonio Romano <[email-masked]> writes:
> 
> > Good evening, I've been trying to view emojis on Emacs for Android and
> > noticed that colored emojis do not appear, while monochrome emojis do
> > appear instead. I've only experimented with Noto Emoji Colore and Noto
> > Emojis so far.
> >
> >
> > Steps to reproduce:
> >
> > 1. Install both Noto Emoji (monochrome emojis) and Noto Emoji Color
> > (colored emojis) and copy the two .TTF files to ~/fonts
> >
> > 2. Restart Emacs with -Q
> >
> > 3. Execute the following
> >
> > (set-fontset-font t 'emoji '("Noto Color Emoji" . "iso10646-1") nil
> > 'prepend)
> >
> > 4. Try to insert emojis and notice that blank "spaces" are inserted,
> > instead
> >
> > 5. Repeat step 3 but with "Noto Emoji" font and see how the blank
> > spaces
> > are filled with the respective monochrome emojis
> >
> >
> > I'm using the latest SourceForge release of Emacs for Android.
> >
> > If this is not a big but a known limitation known I believe
> > it's appropriate to specify it under Android section of the Emacs
> > manual
> 
> The font driver doesn't yet grok color fonts, yes.  I'll see to
> documenting this restriction.

Did you have an opportunity to document this (in PROBLEMS, I guess?)